summaryrefslogtreecommitdiffstats
path: root/filehooker/root-image/krebs/bin/start-ncdc.ship
diff options
context:
space:
mode:
Diffstat (limited to 'filehooker/root-image/krebs/bin/start-ncdc.ship')
-rw-r--r--filehooker/root-image/krebs/bin/start-ncdc.ship17
1 files changed, 17 insertions, 0 deletions
diff --git a/filehooker/root-image/krebs/bin/start-ncdc.ship b/filehooker/root-image/krebs/bin/start-ncdc.ship
new file mode 100644
index 00000000..393c05cc
--- /dev/null
+++ b/filehooker/root-image/krebs/bin/start-ncdc.ship
@@ -0,0 +1,17 @@
+#!/usr/bin/env ship
+set -euf
+#@include filehooker
+. /krebs/lib/filehooker
+#@include network
+ncdc_user="hooker"
+useradd -m $ncdc_user ||:
+
+dc_hub="adcs://elch.nsupdate.info:2781"
+ncdc_configure_hub "$dc_hub"
+
+nick=$(get_hostname)
+ncdc_configure_nick "$nick"
+
+share_all_partitions
+
+sudo -u $ncdc_user /usr/bin/tmux new-session -s dcpp -n ncdc -d ncdc